Subject: Re: bug#40370: 24.5; fail to display svg file containing accented characters
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Didier Kryn <[email-masked]>, [email-masked]
Date: Sat, 25 Apr 2020 16:27:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Didier Kryn <[email-masked]>
>> Date: Wed, 1 Apr 2020 12:45:00 +0200
>> 
>> When editing an SVG drawing, hitting ctrl-C+ctrl-C toggles display mode
>> between source text and graphical. This works fine as long as the source
>> does not contain accented characters. When the source contains accented
>> characters, the graphical display is the same as for an erroneous SVG
>> file, except right after the file has been read or written. In the
>> example below, it is enough to replace the 'é' of "Bézier" by an 'e' to
>> not see this effect:
>
> I can reproduce this in Emacs 24.5 and in 26.3, but not in the latest
> pretest of Emacs 27.  So I think this problem was already solved.
> Would it be possible for you to try the Emacs 27 pretest? it's
> available from alpha.gnu.org.
>
> Thanks.

More information was requested, but none was given within 3 weeks, so
I'm closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas